HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetFilesFile

Contains the different functions to run the operation getFilesFile

  • 2 types
  • 2 values
valuegetFilesFile
  1. :: MonadHTTP m
  2. => GetFilesFileParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetFilesFileResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/files/{file}

<p>Retrieves the details of an existing file object. Supply the unique file ID from a file, and Stripe will return the corresponding file object. To access file contents, see the <a href="/docs/file-upload#download-file-contents">File Upload Guide</a>.</p>

Defines the object schema located at paths./v1/files/{file}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
datadata GetFilesFileResponse
#

Represents a response of the operation getFilesFile.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetFilesFileResponseError is used.

Constructors

Instances2Eq, Show